Get Profile Details
curl --request GET \
--url https://api.gominerva.com/clm/v1/profiles/{profileId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://api.gominerva.com/clm/v1/profiles/{profileId}"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.gominerva.com/clm/v1/profiles/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "OK",
"result": {
"profile": {
"_v": 1,
"address1": "1234 Fake St",
"address2": "Apt 123",
"addressCity": "Toronto",
"addressPostalCode": "A1B2C3",
"addressState": "ON",
"allowlistUntil": "2024/08/15",
"archived": false,
"assignee": "core-user-id",
"country": "Canada",
"createdAt": "2024-08-19T18:40:57.656816645Z",
"createdBy": "core-user-id",
"dateOfBirth": "YYYY/MM/DD",
"email": "john.smith@email.com",
"externalId": "external-customer-id",
"firstName": "John",
"flags": [
{
"count": 2,
"kind": "screeningPepMatch"
}
],
"id": "66c391b92888a0db5cc6d3f6",
"kind": "individual",
"lastName": "Smith",
"lastScreenedTime": "2024-08-15T14:43:02.805Z",
"monitored": "monitored",
"nationality": "Canada",
"occupation": "Minerva",
"organization": "Software Engineer",
"phone": "+15555555555",
"sex": "m",
"status": "potential_match",
"tenantId": "ef637217-5fbf-4117-88f0-a9f1246ffe7f",
"updatedAt": "2024-08-15T14:43:02.805Z",
"profileGroupIds": [
"665f0d4c2d2f7c2b2f2f2f31",
"665f0d4c2d2f7c2b2f2f2f32"
]
}
},
"status": 201
}Profile Management
Get Profile Details
The GET method on a single profile resource will return the details for a single profile by its ID.
GET
/
profiles
/
{profileId}
Get Profile Details
Authorizations
The Minerva API key used for this integration. Manage API keys in the Minerva dashboard under Administration > Developers.
Path Parameters
Profile ID
Body
application/json
The body is of type object.
⌘I